package org.kapelle.multiblock.block_component;

import org.bukkit.Location;
import org.bukkit.Material;

public class SingleBlock implements IBlockComponent{
    private final Material material;

    public SingleBlock(Material material){
        this.material = material;
    }

    @Override
    public boolean isValidBlock(Location location) {
        return location.getBlock().getType() == this.material;
    }
}
