#!/usr/bin/env sh
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

mkdir $SCRIPTPATH/build
mkdir $SCRIPTPATH/server

cd $SCRIPTPATH/build
curl -o BuildTools.jar https://hub.spigotmc.org/jenkins/job/BuildTools/lastSuccessfulBuild/artifact/target/BuildTools.jar 

java -jar BuildTools.jar --rev ${1:-latest}

cd $SCRIPTPATH/server
echo "eula=true" > eula.txt

