package org.kapelle.multiblock.block_component;

import org.bukkit.Location;

public class LambdaComponent implements IBlockComponent{
    private final ICheckFunction checkFunction;

    public LambdaComponent(ICheckFunction checkFunction){
        this.checkFunction = checkFunction;
    }

    @Override
    public boolean isValidBlock(Location location) {
        return checkFunction.apply(location);
    }
}
