package org.kapelle.multiblock.block_component;

import org.bukkit.Location;
import org.bukkit.Material;

import java.util.Set;

public class MultipleBlocks implements IBlockComponent{
    private final Set<Material> validMaterial;

    public MultipleBlocks(Set<Material> validMaterial){
        this.validMaterial = validMaterial;
    }

    @Override
    public boolean isValidBlock(Location location) {
        return this.validMaterial.contains(location.getBlock().getType());
    }
}
